import { StoreRouteHandler } from '@adonisjs/core/types/http';
import { OpenAPIV3_1 } from 'openapi-types';
import { AKAPIException } from '../../exceptions/api_exception.js';
export declare class HandlerParser {
    #private;
    constructor(handler: StoreRouteHandler);
    parse(): OpenAPIV3_1.OperationObject;
    parseQueryParameters(): OpenAPIV3_1.ParameterObject[] | undefined;
    parseSchema(type: 'request' | 'response'): OpenAPIV3_1.MediaTypeObject;
    parseReponseErrors(): OpenAPIV3_1.ResponsesObject;
    parseApiException(apiException: AKAPIException): OpenAPIV3_1.SchemaObject;
    statusCodeToHumanReadable(statusCode: number): string | undefined;
}
